Skip to main content
GET
/
v1
/
payments
/
providers
/
{provider}
/
sign-up
/
{sessionId}
/
{projectId}
provider sign up
curl --request GET \
  --url https://api.unprice.dev/v1/payments/providers/{provider}/sign-up/{sessionId}/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "error": {
    "code": "BAD_REQUEST",
    "docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
    "message": "<string>",
    "requestId": "req_1234"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.unprice.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
enum<string>
required
Available options:
stripe,
square,
sandbox
projectId
string
required

The project id the customer is signing up for

Example:

"1234567890"

sessionId
string
required

The provider session generated by the sign up process

Example:

"cs_live_a1b2c3d4e5f6g7h8i9j0"

Response

Redirect